<template>
  <div class="container tab-content">
    <div class="title">
      <h3>熱門遊戲</h3>
      <p>top games</p>
    </div>
    <div class="swiper-container gametab-swiper">
      <div class="tab-bar">
        <div class="swiper-pagination tab-title"></div>
      </div>
      <div class="swiper-wrapper">
        <div class="swiper-slide" v-for="group in groups">
          <div class="tab-inner">
            <div class="left">
              <div class="game-text">
                <h2 :data-heading="group.Title">{{ group.Title }}</h2>
                <p>{{ group.Description }}</p>
              </div>
              <div class="game-item">
                <a v-for="game in group.Item" href="javascript:;" @click="enterGame(group, game)" class="game-btn">
                  <img :src="game.Logo" alt="">
                  <p>{{ game.Name }}</p>
                </a>
              </div>
            </div>
            <div class="right">
              <div :class="group.Class" class="group_img"></div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  $(function() {
    $(".game-btn").click(function(){
      $(".game-btn").removeClass("active");
      $(this).addClass("active")
    })
  })
  module.exports = {
    data() {
      return {
        groups: [
          {
            TabName: "真人",
            Title: "Live Casino",
            Class: "Live",
            Description: "最精緻最舒心的視覺互動，最專業最強大的路紙呈現，為您帶來最舒心最愜意意的完美體驗！",
            Href: "./live",
            Item: [
              {
                Name: "DG真人",
                Logo: `/tpl/${theme}/assets/images/vendor/DG.png`,
                Hallid: 'DG',
              },
              {
                Name: "AB真人",
                Logo: `/tpl/${theme}/assets/images/vendor/AB.png`,
                Hallid: "AB",
              },
              {
                Name: "SA真人",
                Logo: `/tpl/${theme}/assets/images/vendor/SA.png`,
                Hallid:'SA'
              },
              {
                Name: "DB真人",
                Logo: `/tpl/${theme}/assets/images/vendor/DBLive.png`,
                Hallid: 'OBLive',
              },
              {
                Name: "WM真人",
                Logo: `/tpl/${theme}/assets/images/vendor/WM.png`,
                Hallid: "WM",
              },
            ]
          },
          {
            TabName: "體育",
            Title: "Sports",
            Class: "Sport",
            Description: "豐富的體育賽事一應俱全，項目玩法多元，讓球嶄新玩法，感受不一樣的精彩。",
            Href: "./sport",
            Item: [
              {
                Name: "SUPER體育",
                Logo: `/tpl/${theme}/assets/images/vendor/SUPER.png`,
                Hallid: "SuperV2",
              },
              {
                Name: "鑫寶體育",
                Logo: `/tpl/${theme}/assets/images/vendor/SXB.png`,
                Hallid: "WGSport",
              },
              {
                Name: "熊貓體育",
                Logo: `/tpl/${theme}/assets/images/vendor/Panda.png`,
                Hallid: "PASport",
              },
              {
                Name: "平博體育",
                Logo: `/tpl/${theme}/assets/images/vendor/PB.png`,
                Hallid: "PBSport",
              },
              {
                Name: "DB電競",
                Logo: `/tpl/${theme}/assets/images/vendor/DBESport.png`,
                Hallid: "OBESport",
              },
            ]
          },
          {
            TabName: "電子",
            Title: "Slot Game",
            Class: "Slot",
            Description: "百種遊戲，多重累積獎金、滿線及雙向賠付等多種獨特玩法，終極大獎超乎想像。",
            Href: "./slot",
            Item: [
              {
                Name: "好路電子",
                Logo: `/tpl/${theme}/assets/images/vendor/GR.png`,
                Eid: "GR",
              },
              {
                Name: "RSG電子",
                Logo: `/tpl/${theme}/assets/images/vendor/RSG.png`,
                Eid: "RSG",
              },
              {
                Name: "QT電子",
                Logo: `/tpl/${theme}/assets/images/vendor/QT.png`,
                Hallid: "QT",
              },
              {
                Name: "BNG電子",
                Logo: `/tpl/${theme}/assets/images/vendor/BNG.png`,
                Eid: "BNG",
              },
            ]
          },
          {
            TabName: "彩票",
            Title: "Lottery",
            Class: "Lottery",
            Description: "百種遊戲，多重累積獎金、滿線及雙向賠付等多種獨特玩法，終極大獎超乎想像。",
            Href: "./lottery",
            Item: [
              {
                Name: "9K彩票",
                Logo: `/tpl/${theme}/assets/images/vendor/9K.png`,
                Hallid: "9K",
              },
              {
                Name: "六合彩球",
                Logo: `/tpl/${theme}/assets/images/vendor/SUPER.png`,
                Hallid: "SuperCP",
              },
            ]
          },
          {
            TabName: "棋牌",
            Title: "Chess",
            Class: "Chess",
            Description: "多款棋牌任君選，棋牌彰顯胸懷，競技娛樂燒腦，好友相約競技，遊戲改變生活。",
            Href: "./card",
            Item: [
              {
                Name: "包你發棋牌",
                Logo: `/tpl/${theme}/assets/images/vendor/BLF.png`,
                Hallid: "BLF",
              },
              {
                Name: "幸運棋牌",
                Logo: `/tpl/${theme}/assets/images/vendor/LG.png`,
                Hallid: "LG",
              },
              {
                Name: "好路棋牌",
                Logo: `/tpl/${theme}/assets/images/vendor/GR.png`,
                Eid: "GR",
              },
              {
                Name: "老虎城棋牌",
                Logo: `/tpl/${theme}/assets/images/vendor/TIGER.png`,
                Hallid: "XGD",
              },
              {
                Name: "百勝棋牌",
                Logo: `/tpl/${theme}/assets/images/vendor/BSP.png`,
                Hallid: "BSP",
              }
            ]
          },
          {
            TabName: "捕魚",
            Title: "Fish Game",
            Class: "Fish",
            Description: "供多人同時遊戲，遊戲通過出現滿螢幕的魚群，玩家操控自己的砲臺擊落魚群而獲得獎勵。",
            Href: "./fishing",
            Item: [
              {
                Name: "QT捕魚機",
                Logo: `/tpl/${theme}/assets/images/vendor/QT.png`,
                Hallid: 'QT',
                GameID: "RTG-fishcatch"
              },
              {
                Name: "SP捕魚機",
                Logo: `/tpl/${theme}/assets/images/vendor/SP.png`,
                Eid:'SP'
              },
              {
                Name: "幸運棋牌捕魚機",
                Logo: `/tpl/${theme}/assets/images/vendor/LG.png`,
                Eid: 'LG',
              },
              {
                Name: "好路捕魚機",
                Logo: `/tpl/${theme}/assets/images/vendor/GR.png`,
                Eid:'GR'
              },
            ]
          }
        ]
      };
    },
    mounted() {
      this.init()
    },
    methods: {
      init() {
        let vue = this;
        var swiper = new Swiper(".gametab-swiper", {
            slidesPerView: 1,
            effect: "fade",
            fade: {
              crossFade: true
            },
            shortSwipes: false,
            pagination: {
              el: ".swiper-pagination",
              clickable: true,
              renderBullet: function (index, className) {
                return `<div class="${className}" data-tab="${vue.groups[index].TabName}">${vue.groups[index].TabName}</div>`;
              }
            }
        });
      },
      openModal(Name, Hallid, Gameid) {
        if (isLogin) {
          $("body").addClass("hide");
          $("#Transfer").show();
          setTimeout(function() {
            $(`#Transfer .modal>div`).addClass("active");
          }, 5)
          this.$emit('update',Name,Hallid, Gameid)
          this.$emit('position','Transfer')
        } else {
          annType ? location.href = "./login" : Swal.fire("請先登入", "", "error");
        }
      },
      enterGame(group, game) {
        if (!isLogin) {
          annType ? location.href = "./login" : Swal.fire("請先登入", "", "error");
          return false;
        }

        if (game.Hallid) {
          this.openModal(game.Name, game.Hallid, game.GameID)
        } else {
          location.href = group.Href ? `${group.Href}?c=${game.Eid}` : game.Href
        }
      }
    },
  };
</script>